> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Wallets

> List all connected exchange wallets.

**Required API Key Scopes:** `read`



## OpenAPI

````yaml https://api-bluvo.com/api/v0/openapi get /v0/wallet/list
openapi: 3.1.0
info:
  title: Bluvo API (v0)
  description: APIs to supercharge your crypto project.
  version: 0.0.3
  termsOfService: https://bluvo.co/terms
  contact:
    name: Bluvo
    email: help@bluvo.co
    url: https://bluvo.co
servers:
  - url: https://api-bluvo.com
    description: Production Server
  - url: https://test.api-bluvo.com
    description: Development Server
security: []
paths:
  /v0/wallet/list:
    get:
      tags:
        - Wallets
      summary: List Wallets
      description: |-
        List all connected exchange wallets.

        **Required API Key Scopes:** `read`
      operationId: walletlistlistwallets
      parameters:
        - name: page
          in: query
          required: false
          description: Page number (0-indexed).
          schema:
            type:
              - number
              - 'null'
            minimum: 0
            maximum: 1000
        - name: limit
          in: query
          required: false
          description: Number of wallets per page (max 1000).
          schema:
            type:
              - number
              - 'null'
            minimum: 1
            maximum: 1000
        - name: exchange
          in: query
          required: false
          description: Filter by exchange.
          schema:
            type:
              - string
              - 'null'
            enum:
              - ace
              - ascendex
              - bequant
              - bigone
              - binance
              - binance-web
              - coinbase
              - binanceus
              - bingx
              - bit2c
              - bitbank
              - bitbns
              - bitcoincom
              - bitfinex
              - bitflyer
              - bitget
              - bithumb
              - bitmart
              - bitmex
              - bitopro
              - bitpanda
              - bitrue
              - bitso
              - bitstamp
              - bitteam
              - bitvavo
              - bybit
              - bybit-web
              - bl3p
              - blockchaincom
              - blofin
              - btcalpha
              - btcbox
              - btcmarkets
              - btcturk
              - cex
              - coincheck
              - coinex
              - coinlist
              - coinmate
              - coinmetro
              - coinone
              - coinsph
              - coinspot
              - cryptocom
              - delta
              - deribit
              - digifinex
              - exmo
              - fmfwio
              - gate
              - gateio
              - gemini
              - hashkey
              - hitbtc
              - hollaex
              - htx
              - huobi
              - huobijp
              - hyperliquid
              - independentreserve
              - indodax
              - kraken
              - krakenfutures
              - kucoin
              - kucoinfutures
              - latoken
              - lbank
              - luno
              - mercado
              - mexc
              - ndax
              - novadax
              - oceanex
              - okcoin
              - okx
              - onetrading
              - oxfun
              - p2b
              - paradex
              - paymium
              - phemex
              - poloniex
              - poloniexfutures
              - probit
              - timex
              - tradeogre
              - upbit
              - vertex
              - wavesexchange
              - whitebit
              - woo
              - woofipro
              - xt
              - yobit
              - zaif
              - zonda
              - local-cex
              - null
        - name: createdSince
          in: query
          required: false
          description: Filter by creation date (from, ISO format).
          schema:
            type:
              - string
              - 'null'
        - name: createdBefore
          in: query
          required: false
          description: Filter by creation date (before, ISO format).
          schema:
            type:
              - string
              - 'null'
        - name: lastSyncSince
          in: query
          required: false
          description: Filter by last sync date (from, ISO format).
          schema:
            type:
              - string
              - 'null'
        - name: lastSyncBefore
          in: query
          required: false
          description: Filter by last sync date (before, ISO format).
          schema:
            type:
              - string
              - 'null'
        - name: invalidApi
          in: query
          required: false
          description: Filter by API validity status.
          schema:
            type:
              - string
              - 'null'
            enum:
              - 'true'
              - 'false'
              - null
        - name: fields
          in: query
          required: false
          description: Comma-separated list of fields to include.
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  wallets:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        projectId:
                          type:
                            - string
                            - 'null'
                        createdAt:
                          anyOf:
                            - type: string
                            - type: number
                            - type: string
                            - type: 'null'
                        updatedAt:
                          anyOf:
                            - type: string
                            - type: number
                            - type: string
                            - type: 'null'
                        lastSyncAt:
                          anyOf:
                            - type: string
                            - type: number
                            - type: string
                            - type: 'null'
                        expiresAt:
                          anyOf:
                            - type: string
                            - type: number
                            - type: string
                            - type: 'null'
                        exchange:
                          type: string
                          enum:
                            - ace
                            - ascendex
                            - bequant
                            - bigone
                            - binance
                            - binance-web
                            - coinbase
                            - binanceus
                            - bingx
                            - bit2c
                            - bitbank
                            - bitbns
                            - bitcoincom
                            - bitfinex
                            - bitflyer
                            - bitget
                            - bithumb
                            - bitmart
                            - bitmex
                            - bitopro
                            - bitpanda
                            - bitrue
                            - bitso
                            - bitstamp
                            - bitteam
                            - bitvavo
                            - bybit
                            - bybit-web
                            - bl3p
                            - blockchaincom
                            - blofin
                            - btcalpha
                            - btcbox
                            - btcmarkets
                            - btcturk
                            - cex
                            - coincheck
                            - coinex
                            - coinlist
                            - coinmate
                            - coinmetro
                            - coinone
                            - coinsph
                            - coinspot
                            - cryptocom
                            - delta
                            - deribit
                            - digifinex
                            - exmo
                            - fmfwio
                            - gate
                            - gateio
                            - gemini
                            - hashkey
                            - hitbtc
                            - hollaex
                            - htx
                            - huobi
                            - huobijp
                            - hyperliquid
                            - independentreserve
                            - indodax
                            - kraken
                            - krakenfutures
                            - kucoin
                            - kucoinfutures
                            - latoken
                            - lbank
                            - luno
                            - mercado
                            - mexc
                            - ndax
                            - novadax
                            - oceanex
                            - okcoin
                            - okx
                            - onetrading
                            - oxfun
                            - p2b
                            - paradex
                            - paymium
                            - phemex
                            - poloniex
                            - poloniexfutures
                            - probit
                            - timex
                            - tradeogre
                            - upbit
                            - vertex
                            - wavesexchange
                            - whitebit
                            - woo
                            - woofipro
                            - xt
                            - yobit
                            - zaif
                            - zonda
                            - local-cex
                        balances:
                          type: object
                          additionalProperties:
                            type:
                              - object
                              - 'null'
                            properties:
                              free:
                                type:
                                  - number
                                  - 'null'
                              used:
                                type:
                                  - number
                                  - 'null'
                              total:
                                type:
                                  - number
                                  - 'null'
                              assetId:
                                type:
                                  - string
                                  - 'null'
                              slug:
                                type:
                                  - string
                                  - 'null'
                        ipPool:
                          type:
                            - array
                            - 'null'
                          items:
                            type: string
                        invalidApi:
                          anyOf:
                            - type: boolean
                            - type: number
                            - type: 'null'
                      required:
                        - id
                        - exchange
                        - balances
                  pagination:
                    type: object
                    properties:
                      totalCount:
                        type: number
                      page:
                        type: integer
                      limit:
                        type: integer
                      pageCount:
                        type: number
                    required:
                      - totalCount
                      - page
                      - limit
                      - pageCount
                required:
                  - wallets
                  - pagination
              example:
                wallets:
                  - id: wallet_01H9X3Z7N5V2KJ4G8P6QR5T3Y2
                    exchange: binance
                    projectId: project_01
                    balances:
                      BTC: 0.35
                      ETH: 4.5
                      USDT: 7500
                    ipPool:
                      - 1.2.3.4
                      - 5.6.7.8
                    invalidApi: false
                    createdAt: '2024-01-05T10:30:00Z'
                    updatedAt: '2024-03-01T15:45:00Z'
                    lastSyncAt: '2024-03-01T15:45:00Z'
                  - walletId: wallet_02G8Y4Z8M6W3LK5H7P7RS6T4Z3
                    exchange: coinbase
                    projectId: project_01
                    balances:
                      BTC: 0.15
                      ETH: 2.2
                      USDC: 3500
                    ipPool:
                      - 9.10.11.12
                    invalidApi: false
                    createdAt: '2024-01-10T08:20:00Z'
                    updatedAt: '2024-03-02T12:15:00Z'
                    lastSyncAt: '2024-03-02T12:15:00Z'
                pagination:
                  totalCount: 20
                  page: 0
                  limit: 10
                  pageCount: 2
        '403':
          description: Forbidden - Insufficient API key permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    const: APIKEY_INSUFFICIENT_PERMISSIONS
                  missing:
                    type: array
                    items:
                      type: string
                required:
                  - error
                  - type
                  - missing
              example:
                error: Insufficient permissions
                type: APIKEY_INSUFFICIENT_PERMISSIONS
                missing:
                  - read
      security:
        - bluvoApiKey:
            - x-bluvo-api-key
          bluvoOrgId:
            - x-bluvo-org-id
          bluvoProjectId:
            - x-bluvo-project-id
components:
  securitySchemes:
    bluvoApiKey:
      type: apiKey
      name: x-bluvo-api-key
      in: header
      description: Bluvo API Key
    bluvoOrgId:
      type: apiKey
      name: x-bluvo-org-id
      in: header
      description: Bluvo Organization ID
    bluvoProjectId:
      type: apiKey
      name: x-bluvo-project-id
      in: header
      description: Bluvo Project ID

````